Application: gvSIG desktop - gvSIG bugs #1333
A Warning message appears if click a register after Union and link tables
10/29/2012 12:03 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.0.0-rc4

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

New table

Add table test1.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/test1.dbf.zip)
Add table test2.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/test2.dbf.zip)
Add table test3.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/test3.dbf.zip)
Table, create join

Choose a data store as "test1.dbf" and click Next

Choose the second data store as "test2.dbf and click Next

Choose as key of first table "valor", the key of Warning message clicking a register after Union and link three tablessecond table
"valor" and select the three attribute to join. Next and finish.

Now we see the three attribute from test2.dbf in test1.dbf

Table, create link

Select the origen table of the link as test1.dbf and click Next

Choose id_1 as field to use for link and click Next

Select the table to link as test3.dbf and click Next

Choose id as field to use for link and click Finish

If we click on a record of test1.dbf a warning message appears: "Error notifying the observer”

History

#1 - 10/30/2012 10:03 AM - Vicent Domenech
| typed something wrong in this step (line 9): "Choose as key of first table "valor", the key of Warning message clicking a register after Union and link

three tablessecond table "valor" and select the three attribute to join. Next and finish."

It should be: "Choose as key of first table "valor", the key of second table "valor" and select the three attribute to join. Next and finish."

#2 - 10/30/2012 10:04 AM - Vicent Domenech

Maybe this bug is related with 1339

#3 - 12/07/2012 01:46 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-final
http://downloads.gvsig.org/download/geodata/tables/DBF/test1.dbf.zip
http://downloads.gvsig.org/download/geodata/tables/DBF/test2.dbf.zip
http://downloads.gvsig.org/download/geodata/tables/DBF/test3.dbf.zip

#4 - 12/12/2012 11:35 PM - Manuel Madrid
- Status changed from New to Closed

#5 - 01/11/2013 10:42 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc4
